Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

Question Unity Ads SDK consent to comply with Google Play Policy

Discussion in 'Unity Ads & User Acquisition' started by ExoCorpGames, Sep 14, 2022.

  1. ExoCorpGames

    ExoCorpGames

    Joined:
    May 17, 2021
    Posts:
    1
    Hello guys!

    In short our question is:
    Did the introduction of "Privacy request before configuration in Unity Ads SDK 4.3.0 also get implemented in previous Unity Ads SDKs?

    More information:
    We need assistance to figure out if we're complying with Google's User Data policy when using Unity Ads SDK 3.7.5 or if we need to update it.

    Recently we got an email from Google saying that our game on Google Play store did not comply with their User Data policy and that we need to comply before October.

    Googles Email:


    During review, we found that your app, "appname" (bundle id, Bundle Version Code xx) violates the User Data policy. We don’t allow apps that are potentially harmful to the user experience.

    We’ve identified that your app includes Unity SDK, or an SDK that one of your libraries depends on, which collects personal or sensitive data that includes but may not be limited to Advertising Id; Android Id identifiers.
    I read up on the User Data policy and they require a consent before collecting data and serving ads. When I did a fresh install on a new device of our "non-compliant" version (with Unity Ads SDK 3.7.5) I did receive a popup from Unity Ads when trying to watch the first rewarded video ad in our game.

    Now my question is, as stated earlier, did the introduction of "Privacy request before configuration) in Unity Ads SDK 4.3.0 also get implemented in previous Unity Ads SDKs?

    Below are the release notes for Unity Ads SDK 4.3.0



    Big thanks in advance for any assistance!
    //Dan
     
  2. Dammmm

    Dammmm

    Joined:
    Apr 14, 2021
    Posts:
    1
    I would like to know too ... with the versions of the SDK that the play sotre accepts (from 4.0.1 upwards) the advertisements do not always appear and the earnings have been reduced by a lot.
     
  3. Unity_Adamski

    Unity_Adamski

    Unity Technologies

    Joined:
    Jul 20, 2020
    Posts:
    110
    We have been notified by Google that they will begin to enforce Google Play Store SDK policies. As noted in Unity Ads SDK 4.0.1 released in March, all Android publishers must update their Unity Ads SDK to version 4.0.1 (or above) to remain compliant.
    • If you have not already updated to Unity Ads SDK 4.0.1 or above, please do so immediately to reduce the risk of your app either being removed or rejected upon submission to the Google Play Store.
    • If you do have SDK 4.0.1 or above implemented, no action should be required. We are in discussion with Google to ensure that all messaging about this policy is clear and accurate.
    Previous versions of the Unity Ads SDK have not been updated to meet these requirements. As such you will need to update.

    @Dammmm if you are having issues with ads displaying in newer SDK versions could you please open a ticket so we can properly investigate for you?